
ALTER PROCEDURE [dbo].[ins_gen_envioCorreo]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_envioCorreo varchar(300),
		@p_envioCorreo_codigo varchar(100),
		@p_estrategia int,
		@p_tabla varchar(200),
		@p_id_reporte int,
		@p_correoAdicional varchar(1000),
		@p_plantillaAdjunto varchar(200),
		@p_id_subtipoDocumento int,
		@p_id_estadoTipoDocumento int,
		@p_cantidadMensajes int,
		@p_tiempo_por_mensajes int,
		@p_cantidadReintento int,
		@p_adjuntarArchivo int
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [gen_envioCorreo]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[envioCorreo],
			[envioCorreo_codigo],
			[estrategia],
			[tabla],
			[id_reporte],
			[correoAdicional],
			[plantillaAdjunto],
			[id_subtipoDocumento],
			[id_estadoTipoDocumento],
			[cantidadMensajes],
			[tiempo_por_mensajes],
			[cantidadReintento],
			[adjuntarArchivo])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_envioCorreo,
			@p_envioCorreo_codigo,
			@p_estrategia,
			@p_tabla,
			@p_id_reporte,
			@p_correoAdicional,
			@p_plantillaAdjunto,
			@p_id_subtipoDocumento,
			@p_id_estadoTipoDocumento,
			@p_cantidadMensajes,
			@p_tiempo_por_mensajes,
			@p_cantidadReintento,
			@p_adjuntarArchivo)
		SET @v_id = scope_identity()
UPDATE [gen_envioCorreo] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END



